<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="inca.tld" prefix="inca" %>
<%@ taglib uri="xslt.tld" prefix="xslt" %>
<%@page import="java.net.URL"%>

<!-- will return suite and resources to be formatted by index.xsl -->

<html>

<%
  String urlStr = request.getQueryString();
  String xsl = request.getParameter("xsl");
  if ( xsl == null ) xsl = "index.xsl";

  String xml = "<combo>\n";
  %><inca:getSuiteNames retAttrName="suiteNames"/><%
  xml += (String)pageContext.getAttribute("suiteNames");
  %><inca:getResourceConfig retAttrName="resources" /><%
  xml += (String)pageContext.getAttribute("resources");
  xml += "\n</combo>\n";
  
  URL url = ClassLoader.getSystemClassLoader().getResource( xsl );
  if( url != null ) {
    String xslPath = url.getFile();
    %><!-- from http://www.servletsuite.com/servlets/xsltag.htm -->
    <xslt:applyXSL xmlString="<%=xml%>" xslData="<%=xslPath%>">
      <xslt:setParameter name="url"><%=urlStr%></xslt:setParameter>
    </xslt:applyXSL>
    <%
  } else {
    out.println( "Unable to locate xsl file: " + xsl );
    %>
      <br/><br/><pre>
      <inca:printXML xml="<%=xml%>"/>
      </pre>
    <%
  }

%>

</html>
